$(function () {
	$('#seat-plan span.available').on('click', function(e){
		if ($(this).attr('class') == 'selected') {
			var clicked = $(this);
			var handleBlock = [block.slice(0, block.indexOf('?')-2), $(this).attr('data-id'), block.slice(block.indexOf('?'))].join('');
		    $.ajax({
		    	url: handleBlock,
		    	contentType: "application/json",
		    	error: function(data){
		    		if(data.statusText == "Duplicate Seats Selection") {
		    			var msg = $.parseJSON(data.responseText);
			    		swal({
						  title: data.statusText,
						  text: msg.message,
						  type: "warning"
						});
					} else {
						swal("Oops...", "Something went wrong.", "error");	
					}
					duplicate = true;
					clicked.click();
		    	}
		    });
	    }
    });
});